% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/datasets.R
\name{dataset_boston_housing}
\alias{dataset_boston_housing}
\title{Boston housing price regression dataset}
\usage{
dataset_boston_housing(path = "boston_housing.npz", test_split = 0.2,
  seed = 113L)
}
\arguments{
\item{path}{Path where to cache the dataset locally (relative to
~/.keras/datasets).}

\item{test_split}{fraction of the data to reserve as test set.}

\item{seed}{Random seed for shuffling the data before computing the test
split.}
}
\value{
Lists of training and test data: \code{train$x, train$y, test$x, test$y}.

Samples contain 13 attributes of houses at different locations around
the Boston suburbs in the late 1970s. Targets are the median values of the
houses at a location (in k$).
}
\description{
Dataset taken from the StatLib library which is maintained at Carnegie Mellon
University.
}
\seealso{
Other datasets: \code{\link{dataset_cifar100}},
  \code{\link{dataset_cifar10}},
  \code{\link{dataset_fashion_mnist}},
  \code{\link{dataset_imdb}}, \code{\link{dataset_mnist}},
  \code{\link{dataset_reuters}}
}
